# Uses of Enum Class
org.bukkit.Effect

Packages that use Effect
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Effect in org.bukkit

Methods in org.bukkit that return Effect
Modifier and Type
Method
Description
`static @Nullable Effect`
Effect.`getById(int id)`
Deprecated.
Magic value
`static Effect`
Effect.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Effect[]`
Effect.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit with parameters of type Effect
Modifier and Type
Method
Description
`void`
World.`playEffect(@NotNull Location location, @NotNull Effect effect, int data)`
Plays an effect to all players within a default radius around a given location.
`void`
World.`playEffect(@NotNull Location location, @NotNull Effect effect, int data, int radius)`
Plays an effect to all players within a given radius around a location.
`<T> void`
World.`playEffect(@NotNull Location location, @NotNull Effect effect, T data)`
Plays an effect to all players within a default radius around a given location.
`<T> void`
World.`playEffect(@NotNull Location location, @NotNull Effect effect, T data, int radius)`
Plays an effect to all players within a given radius around a location.

## Uses of Effect in org.bukkit.entity

Methods in org.bukkit.entity with parameters of type Effect
Modifier and Type
Method
Description
`void`
Player.`playEffect(@NotNull Location loc, @NotNull Effect effect, int data)`
Deprecated.
Magic value
`<T> void`
Player.`playEffect(@NotNull Location loc, @NotNull Effect effect, T data)`
Plays an effect to just this player.